summaryrefslogtreecommitdiffstats
path: root/process_configs.sh
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2022-03-16 09:23:47 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2022-03-16 09:23:47 -0500
commitdab93b00b0acac32ebed02f8f177ad5bccc9997a (patch)
tree7db4d26c9718c21b6c0f2dad63996ee3b2467fe0 /process_configs.sh
parent0265290bb39ecf865034a27795f35b538f657a00 (diff)
downloadkernel-dab93b00b0acac32ebed02f8f177ad5bccc9997a.tar.gz
kernel-dab93b00b0acac32ebed02f8f177ad5bccc9997a.tar.xz
kernel-dab93b00b0acac32ebed02f8f177ad5bccc9997a.zip
kernel-5.17-0.rc8.56e337f2cf13.123
* Wed Mar 16 2022 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.17-0.rc8.56e337f2cf13.123] - redhat/Makefile: Reorganize variables (Prarit Bhargava) - redhat/Makefile: Add some descriptions (Prarit Bhargava) - redhat/Makefile: Move SNAPSHOT check (Prarit Bhargava) - redhat/Makefile: Deprecate BREW_FLAGS, KOJI_FLAGS, and TEST_FLAGS (Prarit Bhargava) - redhat/genspec.sh: Rework RPMVERSION variable (Prarit Bhargava) - redhat/Makefile: Remove dead comment (Prarit Bhargava) - redhat/Makefile: Cleanup KABI* variables. (Prarit Bhargava) - redhat/Makefile.variables: Default RHGITCOMMIT to HEAD (Prarit Bhargava) - redhat/scripts/create-tarball.sh: Use Makefile TARBALL variable (Prarit Bhargava) - redhat/Makefile: Remove extra DIST_BRANCH (Prarit Bhargava) - redhat/Makefile: Remove STAMP_VERSION (Prarit Bhargava) - redhat/Makefile: Move NO_CONFIGCHECKS to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move RHJOBS to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move RHGIT* variables to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move PREBUILD_GIT_ONLY to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move BUILD to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move BUILD_FLAGS to Makefile.variables. (Prarit Bhargava) - redhat/Makefile: Move BUILD_PROFILE to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Move BUILD_TARGET and BUILD_SCRATCH_TARGET to Makefile.variables (Prarit Bhargava) - redhat/Makefile: Remove RHPRODUCT variable (Prarit Bhargava) - redhat/Makefile: Cleanup DISTRO variable (Prarit Bhargava) - redhat/Makefile: Move HEAD to Makefile.variables. (Prarit Bhargava) - redhat: Combine Makefile and Makefile.common (Prarit Bhargava) - redhat/koji/Makefile: Decouple koji Makefile from Makefile.common (Prarit Bhargava) - mm/sparsemem: Fix 'mem_section' will never be NULL gcc 12 warning (Waiman Long) Resolves: rhbz# Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>
Diffstat (limited to 'process_configs.sh')
-rwxr-xr-xprocess_configs.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/process_configs.sh b/process_configs.sh
index 376f79584..2ee4037ad 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -388,16 +388,15 @@ done
PACKAGE_NAME="${1:-kernel}" # defines the package name used
KVERREL="$(test -n "$2" && echo "-$2" || echo "")"
SUBARCH="$(test -n "$3" && echo "-$3" || echo "")"
-FLAVOR="$(test -n "$4" && echo "-$4" || echo "-common")"
+FLAVOR="$(test -n "$4" && echo "-$4" || echo "-ark")"
RHJOBS="$(test -n "$5" && echo "$5" || nproc --all)"
SCRIPT=$(readlink -f "$0")
SCRIPT_DIR=$(dirname "$SCRIPT")
-# Most RHEL options are options we want in Fedora so RHEL pending settings head
-# to common/
+# Config options for RHEL should target the pending-ark directory, not pending-common.
if [ "$FLAVOR" = "-rhel" ]
then
- FLAVOR="-common"
+ FLAVOR="-ark"
fi
# to handle this script being a symlink